﻿using System;
using System.Web.Mvc;
using System.Web.Routing;
using Orchard.DisplayManagement;
using Orchard.Themes;

namespace DreamStore.WebShop.Controllers
{
    public class SimulatedPaymentServiceProviderController : Controller
    {
        private readonly dynamic _shapeFactory;

        public SimulatedPaymentServiceProviderController(IShapeFactory shapeFactory)
        {
            this._shapeFactory = shapeFactory;
        }

        [Themed]
        public ActionResult Index(string orderReference, int amount)
        {
            var model = _shapeFactory.PaymentRequest(
                OrderReference: orderReference,
                Amount: amount
                );

            return View(model);
        }

        public ActionResult Command(string command, string orderReference)
        {
            var paymentId = new Random(Guid.NewGuid().GetHashCode()).Next(1000, 9999);
            return RedirectToAction("PaymentResponse", "Order", new {area = "DreamStore.WebShop", paymentId = paymentId, result = command, orderReference});
        }
    }
}