﻿using System.Collections.Generic;
using System.Web.Mvc;
using System.Web.Routing;
using Orchard.Mvc.Routes;

namespace DreamStore.WebShop
{
    public class Routes : IRouteProvider
    {
        public void GetRoutes(ICollection<RouteDescriptor> routes)
        {
            foreach (var routeDescriptor in GetRoutes())
                routes.Add(routeDescriptor);
        }

        public IEnumerable<RouteDescriptor> GetRoutes()
        {
            return new[] {
                new RouteDescriptor {
                    Priority = 5,
                    Route = new Route(
                        "ReturnFromPayPal",
                        new RouteValueDictionary {
                            {"area", "DreamStore.WebShop"},
                            {"controller", "PayPal"},
                            {"action", "ReturnFromPayPal"}
                        },
                        new RouteValueDictionary(),
                        new RouteValueDictionary {
                            {"area", "DreamStore.WebShop"}
                        },
                        new MvcRouteHandler())
                },
                new RouteDescriptor {
                    Priority = 5,
                    Route = new Route(
                        "CancelFromPayPal",
                        new RouteValueDictionary {
                            {"area", "DreamStore.WebShop"},
                            {"controller", "PayPal"},
                            {"action", "CancelFromPayPal"}
                        },
                        new RouteValueDictionary(),
                        new RouteValueDictionary {
                            {"area", "DreamStore.WebShop"}
                        },
                        new MvcRouteHandler())
                }
            };
        }
    }
}