﻿using System.Collections.Generic;
using DreamStore.WebShop.Models;
using Orchard;
using Orchard.ContentManagement;

namespace DreamStore.WebShop.Services
{
    public interface ICustomerService : IDependency
    {
        CustomerPart CreateCustomer(string email, string password);
        AddressPart GetAddress(int customerId, string addressType);
        AddressPart CreateAddress(int customerId, string addressType);
        CustomerPart GetCustomer(int id);
        IContentQuery<CustomerPart> GetCustomers();
        IEnumerable<AddressPart> GetAddresses(int customerId);
        AddressPart GetAddress(int id);
        CustomerPart DeleteCustomer(int id);
      
    }
}
