﻿using System.Collections.Generic;
using System.Linq;
using DreamStore.WebShop.Extensibility;
using DreamStore.WebShop.Models;
using Orchard;

namespace DreamStore.WebShop.Services
{
    public interface IOrderService : IDependency
    {
        OrderRecord CreateOrder(int customerId, IEnumerable<ShoppingCartItem> items);
        ProductPart GetProduct(int productId);
        IEnumerable<ProductPart> GetProducts(IEnumerable<OrderDetailRecord> orderDetails);
        OrderRecord GetOrderByNumber(string orderNumber);
        void UpdateOrderStatus(OrderRecord order, PaymentResponse paymentResponse);
        IEnumerable<OrderRecord> GetOrders(int customerId);
        IQueryable<OrderRecord> GetOrders();
        OrderRecord GetOrder(int id);
    }
}