﻿using System;
using System.Collections.Generic;
using DreamStore.WebShop.Models;
using Orchard;

namespace DreamStore.WebShop.Services
{
    public interface IShoppingCart : IDependency
    {
        IEnumerable<ShoppingCartItem> Items { get; }
        void Add(int productId, int quantity = 1);
        void AddRange(IEnumerable<ShoppingCartItem> items);
        void Remove(int productId);
        ProductRecord GetProduct(int productId);
        void UpdateItems();
        decimal Subtotal();
        decimal Vat();
        decimal Total();
        decimal ItemCount();
        IEnumerable<Tuple<ProductPart, int>> GetProducts();
        void Clear();
        void RemoveCart();
    }
}
